org.apache.commons.compress.parallel

## Interface InputStreamSupplier

-     public interface InputStreamSupplier

  Supplies input streams. Implementations are required to support thread-handover. While an instance will not be accessed concurrently by multiple threads, it will be called by a different thread than it was created on.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `get()` Supply an input stream for a resource.

- - ### Method Detail

    - #### get

          InputStream get()

      Supply an input stream for a resource.
      Returns:
        the input stream. Should never null, but may be an empty stream.

Copyright © 2016 The Apache Software Foundation. All rights reserved.